-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local c_object = require 'mc.orm.object'
local log = require 'mc.logging'

local c_ncsi_nc_info = c_object('NcsiNCInfo')

function c_ncsi_nc_info:ctor()
end

function c_ncsi_nc_info:init()
    log:notice('add NcsiNCInfo object, ncsi ethid = %s', self.NcsiEthId)
    c_ncsi_nc_info.super.init(self)
end

return c_ncsi_nc_info